header {
  width: 100%;
  color: var(--beige);
  z-index: 1003;
  position: sticky;
  top: 0;
  /* transform: translateY(-140px); */
  transition: transform .2s ease-in-out;
}
header.shown {
  transform: translateY(0px);
}
header .announcement {
  display: none;
}
header .logo {
  display: flex;
  align-items: center;
  text-decoration: none;
}
header .logo-text {
  position: relative;
  top: 2px;
  font-family: "filson-pro";
  font-weight: bold;
  font-size: 18px;
  color: var(--darkblue);
  white-space: nowrap;
}
header .logo img {
  position: relative;
  top: 2px;
  height: 30px;
  margin-right: 12px;
}
header ul {
  list-style: none;
  margin: 0;
  padding: 0;
  font-size: 16px;
  letter-spacing: 1px;
}
header ul li a {
  text-decoration: none;
}
header ul li ul li a {
  text-transform: none;
  font-weight: normal;
}
.header-inner {
  background-color: var(--white);
  padding: 8px 16px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-sizing: border-box;
  column-gap: var(--grid-gap-mobile);
  transition: background-color .15s ease-in-out;
}
.header-inner.opened-mobile-menu {
  background-color: var(--white);
}

.nav-toggler {
  cursor: pointer;
  flex-basis: 35px;
}
.nav-toggler div {
  width: 35px;
  height: 5px;
  background-color: var(--darkblue);
  margin: 6px 0;
}

.header-nav-mobile {
  display: none;
  position: absolute;
  left: 0;
  top: 55px;
  height: calc(100vh - 55px);
  width: 100%;
  background-color: var(--mobile-header-bg);
}
/* .header-nav-mobile.with-announcement {
  top: 90px;
  height: calc(100vh - 90px);
} */
.header-nav-mobile ul {
  display: flex;
  height: 100%;
  box-sizing: border-box;
  padding: 0 0 55px 0;
  flex-direction: column;
  justify-content: center;
  font-size: 24px;
}
.header-nav-mobile ul li {
  width: 100%;
  text-align: center;
}
.header-nav-mobile ul li a {
  display: block;
  padding: 8px 0;
}
.header-nav-mobile ul li.selected > a {
  text-decoration: underline;
}
.header-nav-mobile ul li ul {
  font-size: 20px;
  display: block;
  padding: 0 0 20px 0;
}
.header-nav-mobile ul li ul li a {
  padding: 0 0 4px 0;
}
.header-nav-mobile.opened {
  display: block;
}

@media screen and (min-width: 1024px) {
  header {
    transform: translateY(-150px);
  }
  header .announcement {
    display: flex;
    justify-content: center;
    column-gap: var(--grid-gap-mobile);
  }
  header .announcement p {
    font-size: 11px;
    font-family: "futura";
    font-weight: bold;
    letter-spacing: 1px;
    margin-bottom: 0;
    padding: 10px 0
  }  
  .header-inner {
    padding: 31px var(--grid-gap-desktop);
    column-gap: 12px;
  }

  header .logo-text {
    font-size: 22px;
  }
  header .logo img {
    height: 38px;
  }

  .header-nav-desktop {
    flex-basis: 100%;
  }
  .header-nav-desktop ul {
    font-size: 15px;
    display: flex;
    column-gap: 4px;
    justify-content: flex-end;
  }
  .header-nav-desktop > ul > li {
    position: relative;
  }
  .header-nav-desktop > ul > li > a {
    font-weight: bold;
    color: var(--darkblue);
    display: block;
    padding: 10px 20px;
    border-radius: var(--border-radius);
    position: relative;
    clip-path: rect(auto auto auto auto round 20px);
    z-index: 1;
    box-sizing: border-box;
  }
  .header-nav-desktop > ul > li.registration > a {
    border: 1px solid var(--darkblue);
    padding-top: 9px;
    padding-bottom: 9px;
  }
  .header-nav-desktop > ul > li:hover > a {
    color: var(--white);
    font-weight: bold;
  }
  .header-nav-desktop > ul > li > a::after {
    background-color: var(--blue);
    border-radius: 20px;
    content: '';
    display: block;
    width: calc(100% + 2px);
    height: calc(100% + 2px);
    position: absolute;
    left: -1px;
    top: -1px;
    transform: translate(-105%, 0) rotate(10deg);
    will-change: transform;
    transform-origin: top left;
    transition: transform 0.15s ease-in-out;
    z-index: -1;
  }
  .header-nav-desktop > ul > li:hover > a::after {
    transform: translate(0, 0);
    background-color: var(--blue);
  }
  .header-nav-desktop > ul > li > a:focus {
    outline: none;
  }
  .header-nav-desktop > ul > li.selected > a {
    color: var(--white);
    background-color: var(--blue);
  }
  .header-nav-desktop > ul > li.selected:hover > a span {
    border-bottom: none;
  }
  .header-nav-desktop > ul > li > ul > li > a {
    color: var(--white);
  }
  .header-nav-desktop > ul > li > ul {
    position: absolute;
    display: none;
    flex-direction: column;
    padding-top: 20px;
  }
  .header-nav-desktop > ul > li > ul.opened {
    display: flex;
  }
  .header-nav-desktop > ul > li > ul > li {
    background-color: var(--darkblue);
    padding: 8px 100px 8px 16px;
    background-color: var(--blue);
  }
  .header-nav-desktop > ul > li > ul > li:first-child {
    border-radius: var(--border-radius) var(--border-radius) 0 0;
    padding-top: 16px;
    background-color: var(--blue);
  }
  .header-nav-desktop > ul > li > ul > li:last-child {
    border-radius: 0 0 var(--border-radius) var(--border-radius);
    padding-bottom: 16px;
    background-color: var(--blue);
  }
  .header-nav-desktop > ul > li > ul > li > a {
    white-space: nowrap;
  }
  .header-nav-desktop > ul > li > ul > li:hover > a {
    font-weight: bold;
    padding-bottom: 2px;
    border-bottom: 2px solid var(--white);
  }
}